--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns true if it validates. Optionally, you can pass a card type as an argument and make sure it is of the correct type.
- !ruby/struct:SM::Flow::P 
  body: "References:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: http://perl.about.com/compute/perl/library/nosearch/P073000.htm
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: http://www.beachnet.com/~hstiles/cardtype.html
  type: :BULLET
full_name: ActiveMerchant::Billing::CreditCardMethods::ClassMethods#valid_number?
is_singleton: false
name: valid_number?
params: (number)
visibility: public
